<template>
<Menu :menuItems="menuData"></Menu>
</template>


<script>

    import Menu from './Menu/MenuComponent';

    export default {
        components:{
            Menu
        },
        data() {
            return {
                menuData: [],
            }
        },
        methods: {
            loadMenu(){
                this.axios.get('/api/v1/getMenu')
                .then(res => {
                    this.menuData = res.data;
                    //console.log(res.data);
                });
            },
        },
        created() {
            this.loadMenu();
        },

        mounted() {
            /*let AppInitEl = document.createElement('script')
            AppInitEl.setAttribute('src', '/assets/js/app.js')
            document.body.appendChild(AppInitEl);*/
        }
    }
</script>

<style scoped>

</style>
